Why is the update for Scan Essentials giving me a "Load Error"?

I hope that someone has some insight into resolving this issue. SketchUp sent out an email today notifying updates to Scan Essentials and Vray. I downloaded the update for Scan Essentials and installed it into SketchUp Studio.
No dice. I received a “load error” after accepting the terms of use. Any ideas?
Thanks for any help you can provide… I am working with a point cloud for work in my model and need this to work again. Hopefully soon!



If this helps… here is the text from the dialog box:
Error: #<Errno::EACCES: Permission denied @ apply2files - c:/users/bento/appdata/roaming/sketchup/sketchup 2022/sketchup/plugins/su_pcp/bin/27/SUPCP.so>
C:/Program Files/SketchUp/SketchUp 2022/Tools/RubyStdLib/fileutils.rb:496:in unlink' C:/Program Files/SketchUp/SketchUp 2022/Tools/RubyStdLib/fileutils.rb:496:in block in copy_entry’
C:/Program Files/SketchUp/SketchUp 2022/Tools/RubyStdLib/fileutils.rb:1513:in wrap_traverse' C:/Program Files/SketchUp/SketchUp 2022/Tools/RubyStdLib/fileutils.rb:1516:in block in wrap_traverse’
C:/Program Files/SketchUp/SketchUp 2022/Tools/RubyStdLib/fileutils.rb:1515:in each' C:/Program Files/SketchUp/SketchUp 2022/Tools/RubyStdLib/fileutils.rb:1515:in wrap_traverse’
C:/Program Files/SketchUp/SketchUp 2022/Tools/RubyStdLib/fileutils.rb:1516:in block in wrap_traverse' C:/Program Files/SketchUp/SketchUp 2022/Tools/RubyStdLib/fileutils.rb:1515:in each’
C:/Program Files/SketchUp/SketchUp 2022/Tools/RubyStdLib/fileutils.rb:1515:in wrap_traverse' C:/Program Files/SketchUp/SketchUp 2022/Tools/RubyStdLib/fileutils.rb:1516:in block in wrap_traverse’
C:/Program Files/SketchUp/SketchUp 2022/Tools/RubyStdLib/fileutils.rb:1515:in each' C:/Program Files/SketchUp/SketchUp 2022/Tools/RubyStdLib/fileutils.rb:1515:in wrap_traverse’
C:/Program Files/SketchUp/SketchUp 2022/Tools/RubyStdLib/fileutils.rb:494:in copy_entry' c:/users/bento/appdata/roaming/sketchup/sketchup 2022/sketchup/plugins/su_pcp/pcprootproxy.rbe:137:in module:SUPCP
c:/users/bento/appdata/roaming/sketchup/sketchup 2022/sketchup/plugins/su_pcp/pcprootproxy.rbe:10:in <main>' C:/Program Files/SketchUp/SketchUp 2022/Tools/extensions.rb:197:in eval’
C:/Program Files/SketchUp/SketchUp 2022/Tools/extensions.rb:197:in require' C:/Program Files/SketchUp/SketchUp 2022/Tools/extensions.rb:197:in load’
C:/Users/bento/AppData/Roaming/SketchUp/SketchUp 2022/SketchUp/Plugins/su_pcp.rb:24:in register_extension' C:/Users/bento/AppData/Roaming/SketchUp/SketchUp 2022/SketchUp/Plugins/su_pcp.rb:24:in module:SUPCP

Hi Ben,

Could you reinstall Scan Essentials? You may clean your plugin folder: simply delete su_pcp.rb and the su_pcp folder from C:/Users/bento/AppData/Roaming/SketchUp/SketchUp 2022/SketchUp/Plugins

Jacques

Jacques,
That worked!
Thank you very much for the help. I now know how to delete potentially disparaging plugins.
-ben

1 Like